DeltaRiver v.0.9.4.2

- в фильтрах добавлено условие равно или более объему всей свечи
- исправлено в фильтрах верхней/нижней части свечи и бычья/медвежья свеча, а также уведомление
- альфа версия скрипт-языка для написания индикаторов (мануал в папке ДР, примеры скриптов в папке Scripts)
---
- Added a condition equal to or greater than the full volume of the entire candlestick to Custom filters
- Fixed the top/bottom of the candlestick and bullish/bearish candlestick filters, as well as a notification
- Alpha version of the scripting language for writing own indicators (manual russian in the DR folder, script examples in the Scripts folder)


--------------------------------------


DeltaRiver v.0.9.4.1

more fix update

--------------------------------------

DeltaRiver v.0.9.4.0

fix update and Screener

--------------------------------------

DeltaRiver v.0.9.3.9

- добавлен расчет, отображение и уведомления Дивергенции по индикаторам MACD, CCI, RSI, Stohastic *
- добавлена минимальная глубина расчета сигналов Гоши *
- оптимизирован расчет сигналов Гоши на истории *
- добавлен ручной ввод дат в загрузке истории с МТ-терминала (двойной клик на начальной/конечной дате)
- исправлено отображение условия "<="(менее) в Пользовательском фильтре
- исправлено приоритет расчета условий в Пользовательском фильтре
- исправлено в режиме Multiview установка цвета на дополнительных графиках в индикаторе ZigZag 
- исправлено проверка периодов у индикаторов

* только для пользователей платного функционального блока "Гоша"
---

- added calculation, display and notification of Divergence by MACD, CCI, RSI, Stohastic *
- added minimum depth of calculation of Gosha signals *
- optimized calculation of Gosha signals on history *
- added manual entry of dates in loading history from MT-terminal (double click on start/end date)
- fixed display of the "<="(less) condition in the Custom filter
- fixed priority of conditions calculation in Custom filter
- fixed color setting on additional charts in the ZigZag indicator in Multiview mode
- fixed check of periods for indicators

* only for users of the paid functional block "Gosha"

--------------------------------------

DeltaRiver v.0.9.3.8

- добавлен новый подвальный индикатор MACD с уведомлениями
- добавлен функционал сохранения истории лимитных заявок индикатор Heatmap*
- добавлен новый подвальный индикатор VoLO (работает при включении истории лимитных заявок)*
- добавлены новые объекты в Редактор
- добавлена отрисовка и прикрепление графических объектов к "подвальным" индикаторам
- добавлено отображение Максимальной Дельты в свече
- добавлено опциональное отображение гистограммы в индикаторе Кумулятивная дельта
- добавлено опциональное масштабирование по видимой части графика в индикаторе Кумулятивная дельта
- расширены уведомления по индикатору Кумулятивная Дельта
- добавлена возможность отключения условия в Пользовательском фильтре
- добавлена возможность копирования параметров с других подграфиков в некоторых индикаторах
- добавлена горячие клавиши на индикаторы MACD, ImLevel, Heatmap, VoLO
- добавлена параметр прозрачности для "подвала"
- добавлена информация о цене в уведомления
- исправлена возможность использования больших периодов в индикаторах
- исправлено отображение кумулятивной дельты (при отсутствии данных)
- исправлена отрисовка зон в Зонере
- исправлена проверка "погашения" Имбаланс уровней при старте
- исправления отображения Автопрофиля, ЗигЗага на глубине истории

* для подписчиков дополнительного функционального блока GOSHA история DOM будет доступна для скачивания с серверов DeltaRiver,
для обычных пользователей — только текущая история, накапливаемая в режиме реального времени.

Открыт канал DeltaRiver.Mind
https://t.me/DeltaRiver_Mind/24

Канал DeltaRiver.Mind - место, где вы можете делиться своими сигналами и видением рыночной ситуации при помощи терминала DeltaRiver, а затем обсуждать их с другими участниками. Каждую неделю и месяц будет проводиться рейтинг авторов. Кроме этого, каждый автор может получить различные достижения, которые будут отображаться рядом с его именем.
---

- added MACD indicator with notifications
- added functionality to save the history of limit orders Heatmap indicator*
- added a new indicator VoLO (works when the history of limit orders is enabled)*
- added new objects to the Editor
- added drawing and attaching graphical objects to "basement" indicators
- added display of the Maximum Delta in the candle
- added optional display of a histogram in the Cumulative Delta indicator
- added optional scaling by the visible part of the chart in the Cumulative Delta indicator
- extended notifications for the Cumulative Delta indicator
- added the ability to disable the condition in the Custom filter
- added the ability to copy parameters from other subcharts in some indicators
- added hotkeys for MACD, ImLevel, Heatmap, VoLO indicators
- added transparency parameter for "basement"
- added price information to notifications
- fixed the possibility of using large periods in indicators
- fixed display of cumulative delta (in the absence of data)
- fixed rendering of zones in Zoner
- fixed check "repayment" Imbalance of levels at start
- fixes for displaying Autoprofile, ZigZag at the depth of history

* for subscribers of additional function block GOSHA, the DOM history will be available for download from the DeltaRiver
servers, for ordinary users — only the current history accumulated in real time

The DeltaRiver.Mind channel is open
https://t.me/DeltaRiver_Mind/24

The DeltaRiver.Mind channel is a place where you can share your signals and insights on the market using DeltaRiver terminal and then discuss them with other participants. Authors will be ranked every week and month. In addition, each author can receive various achievements that will be displayed next to his name.

--------------------------------------

DeltaRiver v.0.9.3.7

- подправлен алгоритм расчета ЗигЗаг (теперь отсутствуют экстремумы на одной свече)
- добавлено опционально вкл/откл автоцвет для Имбаланс Покупки/Продажи в Пользовательском фильтре
- добавлено прокрутка на текущее время при создании скриншота графика (для Уведомлений)*
- добавлено "центрирование" стакана при создании скриншота графика (для Уведомлений)*
- добавлено включение/отключение общей свечи в Локальном профиле
- исправлена работа ТФ более H1
- исправлена отправка массовых уведомлений по Пользовательскому фильтру
- оптимизирован движок Графического редактора
- добавлено два графических объекта в Графический редактор (добавлены горячие клавиши)
- подправлено отображение графического объекта Текст
- добавлена выделение последнего объекта по горячей клавише в Графическом редактор
- добавлено изменение размеров графических объектов с помощью Shift (по вертикали) и Ctrl (по горизонтали)
- добавлены горячие клавиши изменения цвета (#1/2/3) для графических объектов
- добавлено расписание (часы работы) когда будут приходить все уведомления
- добавлено указание таймфреймов по которым будут приходить все уведомления
- добавлено в уведомлениях (если есть) направление сигнала Buy/Sell
- добавлено в уведомлениях (если есть) таймфрейм сигнала
- добавлено подключения к Телеграм-боту "в один клик" (при условии наличия Телеграм на ПК)
- добавлено вкл/откл в Гоше сигналов для Buy/Sell *
- добавлена в уведомлениях принудительная отправка скриншота сигнала Гоши *

* только для пользователей платного функционального блока "Гоша"
---
- corrected ZigZag calculation algorithm (now there are no extremums on one candlestick)
- added optional on/off autocolor for Buy/Sell Imbalance in the User filter
- added scrolling to the current time when creating a screenshot of the chart (for Notifications)*
- added "centering" the order book when creating a screenshot of the chart (for Notifications)*
- added enable/disable common candle in Local profile
- fixed work of TF over H1
- fixed sending of mass notifications by User filter
- optimized graphics editor engine
- added two graphical objects to the Graphics Editor (hot keys added)
- corrected display of the graphical object Text
- added selection of the last object by hot key in the Graphics Editor
- added resizing of graphical objects using Shift (vertically) and Ctrl (horizontally)
- added color change hotkeys (#1/2/3) for graphical objects
- added schedule (working hours) when all notifications will come
- added indication of timeframes for which all notifications will be sent
- added in notifications (if any) Buy/Sell signal direction
- added in notifications (if any) signal timeframe
- added connection to the Telegram bot "by one click" (subject to the presence of Telegram on the PC)
- added enable/disable in Gaucher signals for Buy/Sell *
- added in notifications forced sending of Gosha's signal screenshot *

* only for users of the paid functional block "Gosha"

--------------------------------------

DeltaRiver v.0.9.3.6

- открыто в паблик уведомления для индикатора ZigZag
- добавлены в Пользовательский фильтр новые типы Имбаланс Покупки/Продажи (Imbalance stacked)
- добавлен индикатор Impulse Level (Imbalance FVG) *
- добавлена фильтрация в индикатор Объемы по времени *
- добавлено процентное значение для затенения в индикатор Объемы по времени
- добавлены уведомления для индикатора Пользовательский фильтр
- добавлены уведомления для индикатора Impulse Level *
- добавлены уведомления для индикатора Объемы по времени *
- добавлены уведомления в Телеграм (* в платной версии со скриншотом графика)
- добавлена возможность получения скриншота графика в любой момент с помощью Телеграм-бота *
- расширен индикатор Кумулятивная дельта, добавлена фильтрация по объему ордеров *
- добавлена прозрачность зон в индикаторе Зонер
- исправлено мерцание отображения окна Опции
- оптимизация работы с БигТрейдами
- общая оптимизация движка графиков
- обширное обновление платного функционального блока "Гоша"

* только для пользователей платного функционального блока "Гоша"
---
- open to public notifications for the ZigZag indicator
- added new types of Buy/Sell Imbalance (Imbalance stacked) to the Custom Volume Filter
- added indicator Impulse Level (Imbalance FVG) *
- added filtering to the indicator Volumes by time *
- added percentage value for shading in Volumes by time indicator
- added notifications for the Custom Volume Filter indicator
- added notifications for the Impulse Level indicator *
- added notifications for the indicator Volumes by time *
- added notifications to Telegram (* in the paid version with a screenshot of the chart)
- added the ability to get a screenshot of the chart at any time using the Telegram bot *
- extended Cumulative Delta indicator, added filtering by order volume *
- added transparency of zones in the Zoner indicator
- fixed flickering display of the Options window
- optimization of work with BigTrades
- general optimization of the charting engine
- extensive update of the paid functional block "Gosha"

* only for users of the paid functional block "Gosha"

--------------------------------------

DeltaRiver v.0.9.3.5

- открыто в паблик в индикатор "Объемы по цене" фильтрация и отображение бигтрейдов
- увеличено "пятно" (правый нижний угол) для изменения размеров объекта на графике
- настройки индикатора ZigZag разделены для каждого подграфика в режиме МультиВЬю
- настройки индикатора Zoner разделены для каждого подграфика в режиме МультиВЬю
- настройки индикатора Point of Control разделены для каждого подграфика в режиме МультиВЬю
- сохранение состояния режима МультиВью
- добавлены уведомления для индикатора ZigZag (только для пользователей платного функционального блока "Гоша")
- добавлены уведомления для индикатора CCI
- добавлены уведомления для индикатора RSI
- добавлены уведомления для индикатора Stochastic
- добавлены уведомления для индикатора Кумулятивная дельта
- исправлено отображение активного графического объекта на графике
- исправлено сохранение "Пользовательского уровня с"
- исправлено установка звукового сигнала для уведомлений
- обширное обновление платного функционального блока "Гоша"
---
- open to public in the indicator "Volumes by price" filtering and displaying big trades
- increased "spot" (lower right corner) for changing the size of the object on the chart
- ZigZag indicator settings are separated for each subchart in MultiView mode
- Zoner indicator settings are separated for each subchart in MultiView mode
- Point of Control indicator settings are separated for each subchart in MultiView mode
- saving the state of the MultiView mode
- added notifications for the ZigZag indicator (only for users of the paid functional block "Gosha")
- added notifications for CCI indicator
- added notifications for the RSI indicator
- added notifications for the Stochastic indicator
- added notifications for Cumulative Delta indicator
- fixed display of the active graphical object on the chart
- fixed saving "Custom level with"
- fixed sound signal setting for notifications
- extensive update of the paid functional block "Gosha"

--------------------------------------

DeltaRiver v.0.9.3.4

- переезд на новые сервера (международная площадка в Нидерландах)
- переработан алгоритм расчета торгового времени, теперь возможны в сутках несколько торговых периодов (с разрывом)
- изменение торгового времени для Тикера (в настройке Тикера двойной клик на графике недельного торгового времени)
- добавлена категоризация графических объектов в списке по дате
- добавлен переход на графике по Ctrl+клик мыши со списка объектов
- добавлено изменение размера объекта на графике (по правому краю объекта)
- добавлено в индикатор "Объемы по цене" фильтрация и отображение бигтрейдов (только для пользователей платного функционального блока "Гоша")
- проведена дополнительная оптимизация движка
- исправлено несколько незначительных ошибок
---
- moving to new servers (international platform in the Netherlands)
- the algorithm for calculating the trading time has been redesigned, now several trading periods are possible in a day (with a gap)
- changing the trading time for the Ticker (double click on the weekly trading shedule in the Ticker settings)
- added categorization of graphic objects in the list by date
- added transition on the chart by Ctrl + mouse click from the list of objects
- added changing the size of the object on the chart (along the right edge of the object)
- added filtering and displaying big trades to the "Volumes by price" indicator (only for users of the paid functional block "Gosha")
- additional optimization of the engine was carried out
- fixed several minor bugs

--------------------------------------

DeltaRiver v.0.9.3.3

- добавлена опция режима отображения Локального профиля по умолчанию
- добавлена возможность изменения существующего Локального профиля
- расширен функционал кнопки загрузки истории (правый клик на кнопке - загрузка недостающей истории)
- добавлена кнопки отмены загрузки истории
- добавлена возможность переключения Источника котировок (меню по клику на индикатор источника справа вверху)
- добавлена обработка тегов #day#, #month# и #year# в названии временных меток
- добавлена возможность загрузка/сохранения в шаблон настроек индикатора DOM 
- исправлена загрузка шаблонов
- исправлен обновлен блок получения новостей
- исправлено ошибочное отображения фильтра 0 на краях свечей
---
- added default Local profile display mode option
- added the ability to change an existing Local profile
- expanded the functionality of the history download button (right click on the button - download the missing history)
- added buttons to cancel downloading history
- added the ability to switch the source of quotes (menu by clicking on the source indicator in the upper right)
- added processing of #day#, #month# and #year# tags in timestamp names
- added the ability to load / save to the DOM indicator settings template
- fixed template loading
- fixed updated news receiving block
- fixed erroneous display of filter 0 on the edges of candles

--------------------------------------

DeltaRiver v.0.9.3.2

- исправлено потеря/восстановление связи с сервером котировок
- исправлено окно Опции (страницы индикаторов Пользовательского фильтра и DOM)
- дополнительная оптимизация движка графика
---
- fixed loss/restoration of connection with the quotes server
- fixed Options window (Custom filter and DOM indicator pages)
- additional optimization of the chart engine

--------------------------------------

DeltaRiver v.0.9.3.1

- добавлен Центр горячих клавиш для 200+ действий в ДР
- добавлен индикатор Кумулятивная Дельта (суточная)
- добавлена категоризация в Тикер-листе
- добавлен показ Уведомлений для новостей
- добавлена в Уведомлениях поддержка звуковых файлов (mp3, wma, mpa, wav)
- добавлено раздельное цветовое отображение полного/недельного/дневного объема в индикаторе Горизонтальные объемы
- добавлена возможность раздельного отображения полного объема в индикаторе Горизонтальные объемы
- добавлена возможность раздельного отображения полного объема в индикаторе Вертикальные объемы
- доработан механизм связи с сервером
- доработан торговый блок
- подправлен контраст кнопок F/W/D индикатора Горизонтальные объемы
- исправлен расчет в индикаторе Point of Control при включенном режиме МультиВью
- исправлена и оптимизирована работа динамического ПОКа в индикаторе Point of Control
- исправлена работа с тикерами имеющими бОльший минимальный ход цены (поинт) 
- исправлено отображение рамки выбранного графического объекта при светлом фоне графика
- исправлено перевод в Безубыток с учётом спреда
- исправлено отображение истории ордеров на графике
---
- added Hotkey Center for 200+ actions in DR
- added indicator Cumulative Delta (daily)
- added categorization in Ticker list
- added display of Notifications for News
- added support for sound files (mp3, wma, mpa, wav) in Notifications
- added separate color display of full / weekly / daily volume in the Horizontal volumes indicator
- added the ability to display the full volume separately in the Horizontal volumes indicator
- added the ability to display the full volume separately in the Vertical volumes indicator
- improved algorithm of communication with the server
- improved trading block
- corrected the contrast of the F / W / D buttons of the Horizontal volumes indicator
- fixed calculation in the Point of Control indicator when the MultiView mode is on
- fixed and optimized work of the dynamic POC in the Point of Control indicator
- fixed work with tickers with a large minimum price movement (point)
- fixed display of the frame of the selected graphic object with a light background of the chart
- fixed transfer to breakeven taking into account the spread
- fixed display of order history on the chart

--------------------------------------

DeltaRiver v.0.9.3.0	

- исправлен баг со связью с сервером
---
- fixed bug with connection to the server

--------------------------------------

DeltaRiver v.0.9.2.9

- исправлен баг с входом
---
- fixed bag with login

--------------------------------------

DeltaRiver v.0.9.2.8

- добавлен выбор таймфреймов в уведомлениях для Помощника маркирующего характер свечи
- добавлена возможность автоматического обновления коннектора к МТ-терминалу
- добавлена установка цвета цифр в индикаторах Горизонтального и Вертикального объема
- добавлено отображение времени курсора
- исправлен расчет стоимости пипса для кросс-пар
- исправлено отображение фона на временной шкале при Локальном профиле
- исправлена работа в режиме МультиВью
- исправлен перерасчет индикаторов при перемещении по графику в глубину
---
- added selection of timeframes in notifications for the Helper marking candle character
- added the ability to automatically update the connector to the MT-terminal
- added setting the color of digits in the horizontal and vertical volume indicators
- added cursor time display
- fixed pip value calculation for cross pairs
- fixed display of background on timeline with Local profile
- fixed work in MultiView mode
- fixed recalculation of indicators when moving in depth along the chart

--------------------------------------

DeltaRiver v.0.9.2.7

- внедрены сервера котировок
- изменено отображение графика при минимальном масштабе (режим Без кластеров)
- добавлены три вида отображения в режиме Без кластеров (свечи, бары, кривая)
- отображение Пользовательских фильтров и БигТрейдов в режиме Без кластеров
- добавлено вкл/откл отображение уровней нарастающим итогом в DOM
- добавлена пользовательская фильтрация в DOM
- добавлена режим Авто в настройку делителя объемов/дельты для тикера
- автоматическое изменение цвета тени по типу свечи, при черном цвете (#000)
- добавлено удаление последнего графического объекта на графике по кнопке Backspace
- добавлена установка/снятие пользовательского уровня клавишей Пробел с текущей позиции курсора
- добавлено сохранение "скрытия баланса" по дабл-клику
- добавлена установка периода отображения БигТрейдов
- исправлено отображение название уровней при включенном индикаторе DOM
- исправлено отображение индикатора ЗигЗаг при отключенном индикаторе Объемы по цене(профиль)
- исправлено периодическое пропадание DOM по крипте (Бинанс)
- исправлено изменение делителя/цифр после запятой для крипты (Бинанс)
- исправлен постановка/изменения Стоплосс на некоторых активах (fix)
- исправлено сдвиг для Тикера при таймфреймах D1 и W1
---
- Quote servers implemented
- changed the display of the graph at the minimum scale (No clusters mode)
- added three types of display in the No clusters mode (candles, bars, curve)
- displaying Custom filters and BigTrades in the No clusters mode
- added on / off display of levels with a cumulative total in the DOM
- added custom filtering to DOM
- added Auto mode to the setting of the volume/delta divider for the ticker
- automatic color change of the shadow by the type of candlestick, with a black color (#000)
- added deletion of the last graphical object on the chart by the Backspace button
- added setting / unsetting a user level with the Space key from the current cursor position
- added saving "hide balance" by double-clicking
- added setting the display period for BigTrades
- fixed display of the name of the levels when the DOM indicator is on
- fixed display of the ZigZag indicator when the indicator Volumes by price is disabled (profile)
- fixed periodic disappearance of DOM by crypt (Binance)
- fixed change of divisor / digits after decimal point for crypt (Binance)
- fixed setting / changing Stoploss on some assets (fix)
- fixed shift for Ticker for D1 and W1 timeframes


--------------------------------------

DeltaRiver v.0.9.2.6

- переработана работа движка при малой истории, либо имеющихся "пробелах"
- оптимизирована загрузка истории
- включение/отключение DOM (при условии его наличия) перенесено в ДР
- оптимизирована работа индикатора Point of Control
- добавлены периоды D1 и W1 в индикаторе Point of Control
- в поиске тикеров сделан уточняющий поиск при нескольких тегах
- добавлена настройка сдвига торговой сессии для тикера
- добавлена настройка делителя объемов/дельты для тикера
- добавлена настройка количества цифр после запятой объемов/дельты для тикера
- добавлено новое исполнение Сейфа - закрытие половины ордера от размера Стоп-Лосса
- добавлено отрисовка графических объектов в области отступа
- добавлено вкл/откл отображения типов свечей в Помощнике
- добавлены уведомления по типу свечей Помощника
- добавлен для скользящей средней тип отрисовки кривая/ломаная линия
- оптимизирован (возвращен) режим градиента
- изменен метод подбора цвета цифр в кластере 
- доработан механизм масштабирования цифр в кластерах
- исправлен постановка/изменения Стоплосс на некоторых активах
- исправлен конфликт графических объекторв и индикаторов
- исправлен баг с отображением графических объектов в режиме МультиВью
- исправлено изменение объема ордера для форекса
- исправлено закрытие окна Опций при получении данных по БигТрейдам
- исправлен сброс масштаба
---
- reworked the engine with a small history, or existing "spaces"
- loading history is optimized
- enable / disable DOM (if available) moved to DR
- the operation of the Point of Control indicator has been optimized
- added periods D1 and W1 in the Point of Control indicator
- in the search for tickers, a qualifying search has been made with several tags
- added setting for the shift of the trading session for the ticker
- added setting for the divisor of volumes / delta for the ticker
- added setting for the number of digits after the decimal point of the volume / delta for the ticker
- added a new execution of the Safe - closing half of the order from the size of the Stop Loss
- added drawing of graphic objects in the indent area
- added on / off display of candlestick types in the Helper marking candle character
- added notifications by the type of Helper candles character
- added curve / brokenline drawing type for the moving average
- optimized (returned) gradient mode
- changed the method for selecting the color of numbers in the cluster
- the mechanism for scaling numbers in clusters has been improved
- fixed setting / changing Stoploss on some assets
- fixed conflict between graphic objects and indicators
- fixed a bug with displaying graphic objects in the MultiView mode
- fixed change in order volume for forex
- fixed closing of the Options window when receiving data by BigTrades
- fixed reset of scale


--------------------------------------

DeltaRiver v.0.9.2.5

- добавлена (возвращена) возможность создание Пользовательского символа
- добавлено скрытие/отображение баланса по двойному клику
- исправлено вертикальное автомасштабирование
- исправлен индикатор LocalRange
- исправлен периодический баг расчета текущей свечи при переключении ТФ
- исправлена загрузка шаблона через окно Опции
- исправлена загрузка схемы
- исправлено отображение таймера свечи на временной шкале
---
- added (return) ability to create a custom symbol
- added hide/show Balance for double click
- fixed vertical autoscaling
- fixed LocalRange Indicator
- fixed periodic bug calculation of the current candle when switching TF
- fixed loading template through the window Options
- fixed loading scheme
- fixed display of the Candle timer on the timeline


--------------------------------------

DeltaRiver v.0.9.2.4

- оптимизирована работа кластерного движка
- новое окно списка Тикеров
- добавлен усредненный расчет максимума в индикаторы Вертикального и Горизонтального объема
- добавлен режим разделения общего объема (тени и тело) в индикаторе Вертикального объема
- добавлено в Линейку отображение суммы Профита из расчета текущего объема ордера
- добавлены кнопки увеличения/уменьшения в окне установки Множителя
- исправлен возврат в МультиВью из раскрытого доп.графика
- исправлено при удалении скриншота в Журнале
- исправлено отображение Общего объема в режимах совмещения Объема и Дельты
- исправлено изменение настроек БигТрейд в окне Опций
- исправлено рисование на Локальном Профиле
- исправлено отображение текущего курсора на графике
- исправлен отображение таймера свечи при Н4
- исправлено переводы
---
- Optimized cluster engine work
- New Ticker List Window
- Added average maximum calculation in vertical and horizontal volume indicators
- Added the separation mode of the total volume (shadow and body) in the vertical volume indicator
- Added to the Ruler displays the amount of the profit from the calculation of the current volume of the order
- Added increase/decrease buttons in the multiplier window
- Fixed return in a MultiView disclosed an additional window
- Fixed when removing the screenshot in the log
- Fixed the display of the total volume in the modes of alignment and delta
- Fixed changing the settings of the Bigtrade in the options window
- Fixed drawing on the Local Profile
- Fixed display of the current cursor on the chart
- Fixed Candle Timer Display at H4
- Fixed translations


--------------------------------------

DeltaRiver v.0.9.2.3

- отображение Форекс-сделок на графике
- переработан блок работы с временем, теперь можно отображать локальное время
- добавлен настраиваемый индикатор Метки времени
- добавлен в Опциях "Усредненный расчет максимального кластера" - сглаживает максимальный/аномальный кластер путем усреднения последних пяти максимальных объемов
- добавлено отображение рамки для разных типов свечей
- добавлен цвет Полного объема в составном режиме
- добавлен цвет тени Дельты в индикатор Объемы по времени
- добавлено отображения дивергентной дельты волны в индикаторе ЗигЗаг
- добавлено новое значение в индикаторе ЗигЗаг, Effort - усилие волны относительно предыдущей
- добавлены опции в индикатор Локальный Профиль
- добавлена опция построение не по тренду в индикатор Зонер
- добавлена опция Глубина отображения в индикаторы POC и BigTrade
- добавлена опция отключения связующей вертикальной линии в Динамическом POC
- добавлена опция отображения только Динамического POC
- добавлены предустановки в окно выбора Множителя
- добавлено в контекстное меню графика вкл/откл Помощника маркирующего характер свечи
- добавлено вкл/откл автоматического создание скриншота открытия/закрытия сделки
- добавлено масштабирование в сторону понижения объекта Текст
- в Журнале скриншотов отображается локальное время
- оптимизирована работа индикаторов
- исправлено установка стоплосс за ближайший уровень
- исправлена одновременная установка стоплосс за ближайший уровень и расчет процента от баланса объема сделки 
- исправлена установка прозрачного цвета для волн в ЗигЗаге
- исправлен сброс масштаба в режиме "Только свечи"
- исправлено ложное срабатывание уведомления по автоуровням
- исправлено отображение курсора на графике на уровнях
- исправлена загрузка истории
- исправлена работа Таймер свечи при ТФ H2 и более
- исправлена включение/отключения Редактора в режиме МультиВью
---
- displaying Forex trades on the chart
- reworked the block for working with time, now you can display the local time
- added custom Time Marks indicator
- added in Options "Average calculation of maximum cluster" - smoothes maximum / anomalous cluster by averaging the last five maximum volumes
- added display of the frame for different types of candles
- added full volume color in compound mode
- added Delta shadow color to the indicator Volumes by time
- added display of divergent wave delta in the ZigZag indicator
- added a new value in the ZigZag indicator, Effort - wave force relative to the previous one
- added options to the Local Profile indicator
- added the option to plot not following the trend in the Zoner indicator
- added Display Depth option to POC and BigTrade indicators
- added option to disable tie vertical line in Dynamic POC
- added option to display only Dynamic POC
- added presets to the Multiplier selection window
- added to the context menu of the chart on / off the Assistant that marks the candlestick character
- added on / off automatic creation of a screenshot of opening / closing a deal
- added scaling downward of the Text object
- Local time is displayed in the Screenshot Log
- the work of indicators is optimized
- fixed stop loss setting for the next level
- fixed the simultaneous installation of stop loss for the closest level and the calculation of the percentage of the balance of the transaction volume
- fixed setting of transparent color for waves in ZigZag
- fixed the reset of the scale in the "Only candles" mode
- fixed false triggering of notification for auto levels
- fixed display of the cursor on the chart at levels
- fixed loading history
- fixed the work of the Candle Timer with TF H2 and more
- fixed enabling / disabling the Editor in the MultiView mode


--------------------------------------

DeltaRiver v.0.9.2.2

- переработана история котировок (теперь состоит из двух файлов)
- добавлен режим "Только свечи"
- добавлено отображение "хвостов" у дельт в индикаторе Вертикальные объемы
- добавлен Журнал скриншотов
- изменено минимальное значение масштаба по горизонтали
- добавлены режимы построения по ценам в индикаторе Зонер
- добавлена очистка уровней текущего ТФ
- добавлена динамическая регулировка значения кеша свечей
- добавлено автоматическое масштабирование на графике инфобоксов индикатора ЗигЗаг
- увеличен максимальный множитель до х1000
- отображение дополнительной информации об ордере только в основном подокне (режим MultiView)
- исправления в советниках для торговли на форекс
- исправление обработка прозрачного цвета (#000) в кластерах
- исправлено включение/отключение индикатора Бигтрейд в окне Опции
- исправлено скрытия окна уведомления
- исправлено отображение рамки кластера
- исправлено изменение "кол-во часов для расчета профиля" при загрузке шаблона
- исправлено отображение Помощника маркирующего характер свечи
- исправлен расчет vwap в индикаторах "подвала"
- исправено отображение инфобокса Линейки
---
- reworked the history of quotes (now it consists of two files)
- added "Only candles" mode
- added display of shadow for Deltas in the Vertical Volumes indicator
- Added Screenshot Journal
- changed the minimum value of the horizontal scale
- added modes of plotting by prices in the Zoner indicator
- added cleaning of the levels of the current TF
- added dynamic adjustment of the candle cache value
- added automatic scaling on the chart of infoboxes of the ZigZag indicator
- increased the maximum multiplier to x1000
- displaying additional information about the order only in the main subwindow (MultiView mode)
- fixes in expert advisors for forex trading
- fix handling transparent color (# 000) in clusters
- fixed enabling / disabling the Bigtrade indicator in the Options window
- fixed hiding of the notification window
- fixed display of cluster frame
- fixed the change in the "number of hours to calculate the profile" when loading a template
- fixed display of the Helper marking candle character
- fixed vwap calculation in "footer" indicators
- fixed display of Ruler infobox

--------------------------------------

DeltaRiver v.0.9.2.1

- добавлена процентная разность цены в инструмент Линейка
- добавлено цифровое отображение общего объема в горизонтальных объемах
- улучшено контрастное отображение панели подвальных индикаторов
- исправлено ошибочное накапливание "мусора" при загрузках шаблонов, приводящее к торможение терминала
- исправлен расчет и отображение скользящей средней LWMA при периоде более 2
- исправлено "залипание" мыши при вызове контекстного меню графика
- исправлено отображение свечей по кластерам при маленьком масштабе
- исправлено отображение фона графика без градиента
- исправлен ряд переводов
---
- added percentage price difference to the Ruler tool
- added digits display of total volume in horizontal volumes
- improved contrast display of the bottom indicator panel
- fixed incorrect accumulation of "garbage" when loading templates, leading to terminal braking
- Fixed calculation and display of the moving average LWMA with a period of more than 2
- fixed mouse sticking when calling the chart context menu
- fixed display of candles by clusters at a small scale
- fixed display of graph background without gradient
- fixed some translations

--------------------------------------

DeltaRiver v.0.9.2.0

- добавлен Depth of Market при наличие информации от брокера
- добавлено массовое закрытие/изменение ордеров
- добавлено отображение тикера и дополнительной надписи на фоне графика
- добавлена предустановка уровней Мюррея в индикатор Зонер
- добавлено цифровое отображение общего объема в Вертикальных объемах
- добавлено открытие опциона в режиме "демо" (внутреннее исполнение)
- добавлены опции торговли в начале часа и снятие лимитных опционов в начале часа (Интрейдбар)
- добавлена расчитанное время экспирации при Classic-режиме (Интрейдбар)
- оптимизировано открытие вкладки символа
- улучшена синхронизация котировок от брокера Интрейдбар
- исправлено изменение параметра "Начальная точка" в индикатор Зонер
- исправлено позиционирование кнопок закрытия ордера
- исправлен расчет VAH/VAL в свободном Локальном профиле
- исправлен расчет БигТрейдов при старте валютной пары
---
- Added Depth of Market with the availability of information from the broker
- added mass closing / changing orders
- added display of ticker and additional inscription on the background of the chart
- added preset Murray levels to the Zoner indicator
- Added digital display of total volume in Vertical volumes
- added opening of the "option" in the "demo" mode (internal execution)
- Added trading options at the beginning of the hour and the removal of limit options at the beginning of the hour (Intradebar)
- Added calculated expiration time in Classic mode (Intradebar)
- optimized symbol tab opening
- improved synchronization of quotes from the broker Intradebar
- fixed change in the "Start Point" parameter in the Zoner indicator
- fixed positioning of order close buttons
- fixed calculation of VAH / VAL in a free Local profile
- fixed calculation of BigTrades at the start of a currency pair

--------------------------------------

DeltaRiver v.0.9.1.9

- обновлен блок получения котировок с Интрейда
- обновлено отображение Локального профиля (контрастность текста и кнопок)
- исправлено отображение уровней при наведении на Локальный профиль
- исправлено периодическое исчезновение сделок-опционов на графике
- исправлена индикация открытых сделок на вкладках валютных пар
- исправлено изменение вертикального масштаба в режиме отключения отображения свечей
- исправлено отображение при отключении фона кластера
- исправлено раскрытие подокон в режиме МультиВью
- исправлены мелкие неточности при переключении языка
---
- updated block for receiving quotes from Intrade
- updated display of the Local profile (contrast of text and buttons)
- fixed display of levels when hovering on the Local profile
- fixed the periodic disappearance of option transactions on the chart
- fixed indication of open orders/options on the tabs of currency pairs
- fixed change of vertical scale in the mode of disabling the display of candles
- fixed display when the cluster background is turned off
- The opening of the subwindow in the MultiView mode has been corrected
- fixed minor inaccuracies when switching the language

--------------------------------------
DeltaRiver v.0.9.1.8

+ добавлена инструкция на английском языке
+ добавлен инструмент Линейка
+ доработан торговый форекс-модуль
+ поддержка неттинг-режима брокеров (AMP Global)
+ поддержка правильного исполнения ордеров у брокеров (RannForex)
+ добавлена возможность при наведении на кнопки Бай и Селл отображается зоны Стоп-Лосса и Тейк-Профита с учетом сейфа
+ добавлена индикация вкладки валютной пары при наличие открытого ордера/опциона
- подкорректирована работа расчета объема ордера в режиме процент от баланса
- изменено отображение помощника-маркировщика
- исправлено отображение сетки по ценам
- исправлено установка цвета для "подвальных" индикаторов
---
+ added manual in English
+ added Ruler tool
+ modified forex trading module
+ Support netting-mode brokers (AMP Global)
+ support for the correct execution of orders at brokers (RannForex)
+ added the ability to display Stop Loss and Take Profit zones when you hover over the Buy and Sell buttons, taking into account the safe
+ added indication of the currency pair tab when there is an open order / option
- the work of calculating the order volume in the percentage of balance mode has been adjusted
- changed the display of the marker-assistant
- fixed display grid at prices
- fixed color setting for "basement" indicators

--------------------------------------
DeltaRiver v.0.9.1.7

+ добавлены "подвальные" индикаторы: CCI, RSI, Stochastic, ATR
+ добавлен помощник маркирующий характер свечи
+ проведен небольшой рефакторинг и дополнительная оптимизация
- подкорректирован минимальный масштаб при режиме отображения "без свечей"
- исправлено отображение bid и ask цен
- исправлено отображение Скользящих средних и Лент Боллинджера при сдвиге <0
- исправлено возможное пропадание свечей при масштабировании
- исправлено очистка лимитных заявок БО (Интрейд) при старте терминала
- мелкие исправления в окне Опции и Загрузка истории
---
+ added "basement" indicators: CCI, RSI, Stochastic, ATR
+ added helper marking candle character
+ small refactoring and additional optimization was performed
- corrected minimum scale in candle-less display mode
- bid and ask prices is fixed
- Fixed Bollinger Moving Averages and Bollinger Tape display at shift <0.
- Fixed possible candle loss when scaling
- clearing of BO (Intrade) limit orders at terminal start has been fixed
- minor corrections in the Options and Download History window

--------------------------------------
DeltaRiver v.0.9.1.6

+ добавлено при старте принудительная синхронизация времени на ПК
+ улучшена работа с пользовательскими фильтрами (установка на любом множителе)
+ добавлено вкл/откл отображение сетки (времени/цены)
+ добавлены дополнительные разделители в сетку (по цене)
+ улучшена работа торгового функционала
+ изменен расчета лота исходя из стоп-лосса
+ добавлено создание скриншота в режиме Мультивью
+ изменено отображение профиля
+ переработано сохранение Пользовательских фильтров в шаблон
+ улучшена работа блока лимитных опционов для исключения дублирования
- исправлена работа переключения языка в терминале
- исправлено поле ввода цены для лимитной заявки опциона
- исправлено отображение свечей
- исправлено отображение окна уведомлений
---
+ added at start forced time synchronization on PC
+ Improved work with custom filters (installation on any multiplier)
+ added on / off display of the grid (time / price)
+ added additional dividers to the grid (for the price)
+ Improved trading functionality
+ changed lot calculation based on stop loss
+ added screenshot creation in Multi View mode
+ changed profile display
+ reworked saving of Custom filters to a template
+ improved operation of the block of limit options to avoid duplication
- fixed switching language in the terminal
- fixed price entry field for a virtual limit order request for binary options
- fixed display of candles
- fixed notification window display

--------------------------------------
DeltaRiver v.0.9.1.5
+ переработаны и оптимизированы расчеты отображения графиков
+ расширен множитель х0.1 - х100.0
+ добавлена возможность автоматической установки сетки профилей большего периода (склейки)
+ добавлено еще одно условие в фильтры - период проверки
+ добавлен импорт файла котировок с реальными объемами
+ добавлены виртуальные лимитные заявки (сделки с условием по цене) по бинарным опционам
+ добавлено вкл/откл отображения истории закрытых опционов
- исправлено расчет процента профита (БО)
- исправлено округление суммы лота (БО)
---
+ rework and optimized chart display calculations
+ expanded multiply x0.1 - x100.0
+ Added automatically set grid profiles longer period (gluing)
+ Added another condition in the filters - verification period
+ added import of quotes csv-file with real volumes
+ added virtual limit orders (deals with a condition on the price) for binary options
+ added on / off display of the history of closed options
- fixed calculation of profit percentage (BO)
- fixed rounding of the lot amount (BO)

--------------------------------------
DeltaRiver v.0.9.1.2

+ добавлен торговый модуль к брокеру Intrade.bar
+ добавлена возможность загрузки схемы (workplace)
+ добавлены новые типы уведомлений (дельта в кластере, вертикальный объем и дельта в вертикальном объеме)
+ улучшен механизм Вертикального автомасштабирования (с применением множителя)
+ добавлена опция включения/отключения градиента для фона графика
+ добавлена возможность указания цвета курсора на графике
+ добавлена возможность указания цвета для фонового общего объема
+ в разделители периодов, начало недели выделяется жирнее
+ добавлены таймфреймы D1 и W1
+ добавлена возможность раскрыть/восстановить график по двойному клику в режиме MultiView
+ добавлена возможность отображения Bid/Ask цены с текущей свечи
+ добавлена возможность очистить историю до даты, для уменьшения объема
+ изменено отображение Автоуровней-POC на линию
- исправлен баг перерасчета и отображения Скользящих Средних
- исправлено отображение круглых уровней при множителе > 1
---
+ Added trading module to Intrade.bar broker
+ added ability to load a scheme (workplace)
+ Added new types of notifications (delta in a cluster, vertical volume and delta in vertical volume)
+ Improved Vertical autoscaling mechanism (using a multiplier)
+ added option to enable / disable the gradient for the background of the chart
+ added the ability to indicate the color of the cursor on the chart
+ added ability to specify colors for background total volume
+ in period separators, the beginning of the week is bold
+ added timeframes D1 and W1
+ added the ability to open / restore a chart by double-clicking in MultiView mode
+ added the ability to display Bid / Ask prices from the current candle
+ added ability to clear history to date, to reduce volume
+ changed the display of Auto-POC per line
- fixed bug of recalculation and display of moving averages
- fixed display of round levels with a multiplier> 1

--------------------------------------
DeltaRiver v.0.9.1.1

+ добавлено два комбинированных режима отображения кластеров (полный объем и дельта)
+ добавлены уведомления на емейл (настройка в МТ)
+ добавлено определение и отображение дивергенций на 2 и более свечах
+ добавлено при наведение на Локальный Профиль отображение линий POC и VAH/VAL до конца графика
+ добавлена возможность перемещения по графику с помощью клавиатуры (вверх/вниз/влево/вправо)
+ добавлен параметр Прозрачность для объектов в Редакторе
+ добавлена возможность установки Пользовательской зоны (по теням свечей)
+ добавлено три режима отображения Пользовательских уровней
+ изменена установка Пользовательского уровня при множителе больше 1
+ добавлна возможность выбора цвета для уровней и зон в контекстном меню
+ максимальный множитель х100
- исправлен баг перерасчета ряда индикаторов при загрузке истории
- исправлен баг с POC(автоуровни) при загрузке шаблона
- исправлен баг с отображением часовых линий при установке контраста сетки
- исправлен баг "перехода на конец" графика при отключенной Автопрокрутки
- исправлен баг в редакторе при создании прямоугольника
- исправлен баг с отображением Локального профиля "вне графика"
- исправлен баг с Стоп-лосс и Тейк-профит ордера, если не выставляется на сервер брокера
- исправлен баг с Пользовательскими уровнями при множителе > 1
- исправлен баг автоцентрирования по последней цене при отключенной Автопрокрутке
---
+ added two combined cluster display modes (full volume and delta)
+ Added a notification email (setting on MT)
+ Added to determine and display divergences 2 or more candlelight
+ added when hovering over the Local Profile the display of the POC and VAH / VAL lines to the end of the graph
+ added the ability to move around the schedule using the keyboard (up/down/left/right)
+ added Transparency option for objects in the Editor
+ added the ability to set a User zone (by the shadows of candles)
+ added three display modes for User levels
+ Change the setting at the user level, the multiplier is greater than 1
+ Added ability to select colors for levels and zones in the context menu
+ maximum multiplier x100
- fixed bug of recalculation of a number of indicators when loading history
- fixed bug with POC (auto level) when loading a template
- fixed a bug with the display of time lines when setting the contrast of the grid
- Fixed bug "go to end" graphics off when Autoscroll
- fixed a bug in the editor when creating a rectangle
- fixed a bug with displaying the Local profile "off-chart"
- fixed a bug with Stop Loss and Take Profit orders, if not placed on the broker's server
- fixed a bug with User levels with a multiplier> 1
- fixed autocentering bug at the last price when Autoscrolling is disabled

Видео по новой версии
https://www.youtube.com/watch?v=8ZRhAmKxab4

--------------------------------------
DeltaRiver v.0.9.1.0

+ добавлена возможность прямого перехода по истории
+ сохраняются размеры подокон в режиме Multiview
+ в торговую панель добавлена возможность расчета объема ордера от баланса
+ таймер окончания свечи отображается в реальном времени
+ новый индикатор - Zigzag
+ множественные Локальные профили
+ при переключении ТФ Локальные профили сохраняются
+ режим "свободного" натягивания Локального профиля (ScrLock)
+ в Локальный профиль добавлено отображение количества свечей
+ в контекстном меню добавлен доступ к шаблонам
+ улучшена точность отрисовки свечей
- исправлена работа в коннекторе с активами, которые начинаются на точку
- исправлено вертикальное автомасштабирование
- исправлена работа собственных уведомлений
- исправлена ошибка приводящая к скрытию уровней
- в торговом блоке исправлены расчет и установка стоплосс и тейкпрофит (без выставления на сервер брокера)
---
+ added ability to directly navigate through history
+ save the size of the subwindow in the mode Multiview
+ the ability to calculate the volume of the order from the balance has been added to the trading panel.
+ candle end timer is displayed in real time
+ new indicator - Zigzag
+ multiple local profiles
+ when switching TimeFrame Local profiles are saved
+ mode of "free" tightening of the Local profile (ScrLock)
+ added the display of the number of candles to the Local profile.
+ access to templates in context menu
+ improved candle rendering accuracy
- fixed work in the connector with assets that start at the point
- fixed vertical autoscaling
- fixed work of own notifications
- fixed bug causing levels hiding
- the calculation and installation of stop loss and take profit were fixed in the trading block (without placing a broker on the server)

--------------------------------------
DeltaRiver v.0.9.0.0
+ Новый индикатор - "Zoner" (фибо/пользовательские уровни)
+ в индикатор Point of Control добавлено динамическое отображение (на истории)
+ Пользовательский фильтр объемов совмещен со стандартной отрисовкой кластеров
+ добавлено отображение в реальном времени уровней Стоп-лосс и Тейк-Профита до создания ордера
+ добавлена возможность установки своего порядка вкладок
+ в режиме МультиВью добавлена возможность вкл/откл показа индикаторов в каждом подокне
+ Применение шаблона default.tpl при открытии новых Символов
+ в имя файла при создании скриншота добавлены секунды
+ восстановлен блок Опционные уровни от СМЕ
+ обновлен Мануал
- исправлен баг при вводе числовых значений (срабатывало переключение режимов кластеров)
- исправлен баг со стартовой загрузкой истории и возможными ошибками отображения объема (аномальные объемы)
- исправлен баг с изменением размеров подокон в режиме МультиВью при открытии/закрытии Торговой панели
- исправлен баг с отрисовкой нижней части свечей в режиме "свеча по кластерам"
---
+ New indicator - "Zoner" (fibo / custom levels)
+ In the Point of Control indicator added to the dynamic show (in history)
+ Custom volume filter combined with standard cluster rendering
+ Added real-time display of Stop Loss and Take Profit levels before order creation
+ added ability to set your own tab order
+ In the MultiView mode, added the ability to enable / disable the display of indicators in each subwindow.
+ Apply the default.tpl template when opening new Symbols
+ added seconds to file name when creating screenshot
+ Restored block Optional Levels from CME
+ updated Manual
- fixed bug when entering numeric values (switching of cluster modes worked)
- fixed bug with starting history loading and possible volume display errors (abnormal volumes)
- fixed the bug with resizing the subwindows in the Multi-View mode when opening / closing the Trading Panel
- fixed bug with drawing the lower part of candles in the "candle by clusters" mode